Debian Bug report logs - #328663
RM: ctklight -- RoM; old, out of date, unused

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>

Date: Fri, 16 Sep 2005 16:48:01 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Weber <michaelw@debian.org>:
Bug#328663; Package ctklight. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
New Bug report received and forwarded. Copy sent to Michael Weber <michaelw@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: submit@bugs.debian.org
Subject: very old package, should this be removed?
Date: Fri, 16 Sep 2005 18:30:28 +0200
Package: ctklight
Version: 0.22.2-1
Severity: serious

Hi,

During the Debian QA meeting hold during Sept. 09th till 11th, we
decided that looking at packages that haven't been uploaded for a very
long time could cover up some QA problems.

I've done this now and your package showed up on the list. I propose
to remove it.
There are almost no users and the package is also quite out of date wrt
Debian's policies. There is also a new upstream version, but neither
have you packaged it, nor has someone requested it in the BTS.

This usually means that your package matched some of the following
criteria:

 [1] Your packages has not had a maintainer upload for more than
     three years.

 [2] has one or more RC bugs with no answer from the maintainer (**)

 [3] the state of your packages in general seems to indicate that you
     might be MIA 

 [4] (if we propose a removal) it shows in popcon as having less than
     100 users with the package installed.

 [5] the package was not released with sarge

and at least ([1] and ( [2] or [3] or [4] or [5] )) was true.

(**) The maintainer not answering to RC bugs refers to bugs filed
more than one month before the time the check was performed.

After 7 days without answer from you (the maintainer) we will reassign
this bug to either WNPP (in case we propose to orphan it) or
ftp.debian.org (in case we propose to remove it).

The package will need an upload or an explanation for this action not to
proceed.

Please do *not* upload a package just to get off this list - it won't
help the package at all. Maintainers should be responsive and feel
responsible for their packages without needing other people to force
them to do work. Sometimes, finding a new maintainer or even removing
the package completly from the archive is better for Debian's users. 

Thanks!

Marc




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#328663; Package ctklight. Full text and rfc822 format available.

Acknowledgement sent to Michael Weber <michaelw@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 328663@bugs.debian.org (full text, mbox):

From: Michael Weber <michaelw@debian.org>
To: "Marc 'HE' Brockschmidt" <marc@marcbrockschmidt.de>, 328663@bugs.debian.org
Cc: debian-haskell@lists.urchin.earth.li
Subject: Re: Bug#328663: very old package, should this be removed?
Date: Fri, 16 Sep 2005 19:26:26 +0200
* Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> [2005-09-16T18:30+0200]:
> During the Debian QA meeting hold during Sept. 09th till 11th, we
> decided that looking at packages that haven't been uploaded for a very
> long time could cover up some QA problems.
> 
> I've done this now and your package showed up on the list. I propose
> to remove it.
> There are almost no users and the package is also quite out of date wrt
> Debian's policies. There is also a new upstream version, but neither
> have you packaged it, nor has someone requested it in the BTS.

If the debian-haskell team (CC'd) has nothing against it, I agree
with the removal of package ctklight.

Otherwise, any volunteers for taking it over?


Cheers,
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Weber <michaelw@debian.org>:
Bug#328663; Package ctklight. Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Extra info received and forwarded to list. Copy sent to Michael Weber <michaelw@debian.org>. Full text and rfc822 format available.

Message #15 received at 328663@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>
To: 328663@bugs.debian.org
Cc: control@bugs.debian.org, debian-haskell@lists.urchin.earth.li
Subject: Re: Bug#328663: very old package, should this be removed?
Date: Sat, 08 Oct 2005 12:45:22 +0200
[Message part 1 (text/plain, inline)]
retitle 328663 ctklight -- RoM; old, out of date, unused
reassign 328663 ftp.debian.org
severity 328663 normal
thanks

Michael Weber <michaelw@debian.org> writes:
> * Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> [2005-09-16T18:30+0200]:
>> During the Debian QA meeting hold during Sept. 09th till 11th, we
>> decided that looking at packages that haven't been uploaded for a very
>> long time could cover up some QA problems.
>> 
>> I've done this now and your package showed up on the list. I propose
>> to remove it.
>> There are almost no users and the package is also quite out of date wrt
>> Debian's policies. There is also a new upstream version, but neither
>> have you packaged it, nor has someone requested it in the BTS.
> If the debian-haskell team (CC'd) has nothing against it, I agree
> with the removal of package ctklight.

I haven't heard back from you, so I'm reassigning this bug to the
ftp-team, so that the package can be removed. If someone is interested
in maintaining it at a later point, a new upload should be no problem.

Marc
-- 
Fachbegriffe der Informatik - Einfach erklärt
203: Öffentliche Adressverzeichnisse
       Spammers Umschreibung für das Usenet. (Marc Haber)
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `ctklight' to `ftp.debian.org'. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#328663; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Michael Weber <michaelw@debian.org>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #26 received at 328663@bugs.debian.org (full text, mbox):

From: Michael Weber <michaelw@debian.org>
To: "Marc 'HE' Brockschmidt" <marc@marcbrockschmidt.de>, 328663@bugs.debian.org
Cc: debian-haskell@lists.urchin.earth.li
Subject: Re: Bug#328663: very old package, should this be removed?
Date: Sat, 8 Oct 2005 13:05:06 +0200
[Message part 1 (text/plain, inline)]
* Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> [2005-10-08T12:45+0200]:
> Michael Weber <michaelw@debian.org> writes:
> > If the debian-haskell team (CC'd) has nothing against it, I agree
> > with the removal of package ctklight.
> 
> I haven't heard back from you, so I'm reassigning this bug to the
> ftp-team, so that the package can be removed. If someone is interested
> in maintaining it at a later point, a new upload should be no problem.

Acknowledged.


Cheers,
Michael
[signature.asc (application/pgp-signature, inline)]

Changed Bug title. Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 328663-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 328663-close@bugs.debian.org
Cc: ctklight@packages.debian.org, ctklight@packages.qa.debian.org
Subject: Bug#328663: fixed
Date: Wed, 12 Oct 2005 15:08:53 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  ctklight |   0.22.2-1 | source, all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 328663@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 12:30:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:14:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.